diff mbox

glibc 2.22 --- Machines that need testing.

Message ID 20150806232336.GO3507@type.home
State Not Applicable
Headers show

Commit Message

Samuel Thibault Aug. 6, 2015, 11:23 p.m. UTC
Hello,

Carlos O'Donell, le Tue 04 Aug 2015 11:19:21 -0400, a écrit :
> Roland,
> 
> Are you able to test 32-bit Hurd for 2.22 or recommend someone who might?

With i686-unknown-gnu0.6 I'm getting a build failure in math:

In file included from ../sysdeps/i386/fpu/s_scalbn.S:20:0:
../include/shlib-compat.h:45:10: error: "ABI_libc_GLIBC_2_20" is not defined [-Werror=undef]
    && (!(ABI_##lib##_##obsoleted - 0)           \

I had to apply the patch below to fix the issue.  Yes, adding an empty
symbol section looks odd, but that's what's needed to get the scripts to
emit the ABI_* macros.

Any thoughts?

(I'm also getting another build issue with crt0, but I'll handle that).
(and yes, there are a few missing patches to get glibc buildable at all
on Hurd anyway).

Samuel

Comments

Andreas Schwab Aug. 7, 2015, 7:20 a.m. UTC | #1
Samuel Thibault <samuel.thibault@ens-lyon.org> writes:

> I had to apply the patch below to fix the issue.  Yes, adding an empty
> symbol section looks odd, but that's what's needed to get the scripts to
> emit the ABI_* macros.
>
> Any thoughts?

You need to put it in the libc section, but otherwise it's the correct
fix.  It's the same nptl/Versions does for libpthread.

Andreas.
diff mbox

Patch

Index: glibc-upstream/math/Versions
===================================================================
--- glibc-upstream.orig/math/Versions
+++ glibc-upstream/math/Versions
@@ -201,4 +201,6 @@  libm {
   GLIBC_2.18 {
     __issignaling; __issignalingf; __issignalingl;
   }
+  GLIBC_2.20 {
+  }
 }